
from south.db import db
from django.db import models
from venues.models import *

class Migration:
    
    def forwards(self, orm):
        
        # Adding model 'Venue'
        db.create_table('venues_venue', (
            ('id', orm['venues.Venue:id']),
            ('name', orm['venues.Venue:name']),
            ('country', orm['venues.Venue:country']),
            ('city', orm['venues.Venue:city']),
            ('address', orm['venues.Venue:address']),
            ('longitude', orm['venues.Venue:longitude']),
            ('latitude', orm['venues.Venue:latitude']),
            ('venue_url', orm['venues.Venue:venue_url']),
            ('map_url', orm['venues.Venue:map_url']),
            ('comment', orm['venues.Venue:comment']),
        ))
        db.send_create_signal('venues', ['Venue'])
        
    
    
    def backwards(self, orm):
        
        # Deleting model 'Venue'
        db.delete_table('venues_venue')
        
    
    
    models = {
        'venues.venue': {
            'address': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'city': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'comment': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '150', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'latitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'longitude': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'map_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '150'}),
            'venue_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        }
    }
    
    complete_apps = ['venues']
